.message {
  margin: 0.375rem 0 1.25rem;
  padding: 0.625rem 0.625rem 0.625rem 0.625rem;
  padding-left: 3.125rem;
  border: 1px solid;
  background-repeat: no-repeat;
  background-position: 0.5rem center;
  line-height: 1;
  font-size: 1rem;

  &.error {
    border-color: var(--wp--preset--color--message-error-border);
    background-color: var(--wp--preset--color--message-error-background);
    background-image: url(../img/misc/message-24-error.png);
    color: var(--wp--preset--color--message-error-text);
  }

  &.success {
    border-color: var(--wp--preset--color--brand-1, #025a02);
    background-image: url(../img/misc/status.svg);
    color: var(--wp--preset--color--brand-1, #025a02);
  }
}

.tabs {
  & .tab-links li.active a {
    background: var(--wp--preset--color--brand-1-800, #012401);
    color: var(--wp--preset--color--white);
    font-size: 1rem;
  }

  & .tab-content .tab {
    display: none;

    &.active {
      display: block;
    }
  }
}

.login-page {
  & .description {
    padding: 0.3125rem 0 0.625rem 0;
    color: var(--wp--preset--color--brand-3-700);
    font-size: 0.85rem;
  }

  & .tabs {
    display: block;
    margin: 1.25rem -0.125rem;

    & button {
      display: inline-block;
      float: left;
      height: auto;
      margin: 0.125rem;
      padding: 0.3125rem 1rem;
      border: 0;
      border-radius: 0.3125rem;
      background-color: var(--wp--preset--color--grey-400, #ced4da);
      color: var(--wp--preset--color--grey-900);

      &:hover, /*updated*/
      &:focus-visible {
        border-color: var(--wp--preset--color--grey-400, #ced4da);
        border-bottom-color: var(--wp--preset--color--grey-200);
        background-color: var(--wp--preset--color--grey-300);
      }

      &.active {
        border: 0;
        background-color: var(--wp--preset--color--grey-700, #495057);
        color: var(--wp--preset--color--grey-200);
      }
    }

    &:after {
      content: "";
      display: table;
      clear: both;
    }
  }

  & .tab-content {
    display: none;

    &.active {
      display: block;
    }

    & p {
      position: relative;
      margin: 0 0 0.625rem;
    }

    & label {
      display: block;
      margin-bottom: 0.5em;
      color: var(--wp--preset--color--grey-900);
      line-height: 1.2em;
      font-size: 1rem;

      @media (min-width: 48rem) {
        font-size: 1.1rem;
      }
    }

    & input[type="text"],
    input[type="password"] {
      display: block;
      width: 100%;
      height: 2.125rem;
      padding: 0.375rem 0.75rem;
      border: 1px solid var(--wp--preset--color--grey-400, #ced4da);
      border-radius: 0;
      background-color: gray-lighter;
      background-image: none;
      box-shadow: inset 0 0.0625rem 0.0625rem rgba(0, 0, 0, 0.075);
      color: var(--wp--preset--color--grey-700, #495057);
      line-height: 1.42857143;
      font-size: 0.875rem;
      transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;

      &:focus {
        outline-color: var(--wp--preset--color--brand-1, #025a02);
        border-radius: 0.1875rem;
      }
    }

    & input[type="checkbox"] {
      position: absolute;
      top: 0.125rem;
      left: 0;
      width: 0.8125rem;
      height: 0.8125rem;
      margin: 0.1875rem 0.1875rem 0.1875rem var(--wp--preset--spacing--20);
      border-color: var(--wp--preset--color--grey-600, #7d8389);
      border-radius: 0.125rem;
    }

    & .login-remember label {
      padding-left: 1.4rem;
    }

    & .login-submit {
      margin-top: 1rem;
      margin-bottom: 1rem;
    }

    & input[type="submit"] {
      display: inline-block;
      vertical-align: middle;
      margin: 0 0.3125rem 0.3125rem;
      padding: 0.7rem 1rem;
      border-width: 0;
      border-style: solid;
      border-color: var(--wp--preset--color--brand-1-800, #012401);
      border-radius: var(--button--border-radius);
      background-color: var(--wp--preset--color--brand-1, #025a02);
      color: var(--wp--preset--color--white);
      line-height: 1;
      text-align: center;
      text-transform: uppercase;
      white-space: nowrap;
      letter-spacing: 0.07rem;
      font-size: 1rem;
      font-weight: 300;
      transition: all 0.2s ease-out;
      cursor: pointer;
      user-select: none;
      /*background-color: var(--wp--preset--color--brand-3);*/
      /*border-color: var(--wp--preset--color--brand-3-650);*/

      &:hover, /*updated*/
      &:focus-visible {
        border-color: var(--wp--preset--color--brand-3-800);
        background: var(--wp--preset--color--brand-3-650);
        color: var(--wp--preset--color--white);
      }
    }
  }
}
